Welcome to the Dash Forum!

Please sign up to discuss the most innovative cryptocurrency!

Followed pi 3 MN tutorial, downloaded 0.12.0.59 not .58

Discussion in 'Masternode Questions and Help.' started by MasternodeX, Jan 2, 2017.

  1. MasternodeX

    MasternodeX New Member

    Joined:
    Jan 2, 2017
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    Followed the MN tutorial (actually had to look at a few to get it working)

    Anyway just noticed in my getinfo in the putty terminal and noticed the version was different than my server/local wallet.

    Anyway the version is yellow on the masternode page, but everything else is green. What command do I use to get the right github version so i can recompile and make dashd work again with the version that everyone else is running (ie 0.12.0.58) because the command for the latest dash in github wasnt right.

    Do I just go here
    git clone github-DOT-com/dashpay/dash/tree/v0.12.0.58
    cd darkcoin
    ./autogen.sh
    ./configure --with-incompatible-bdb
    mv dashd ../..
    and do the thing to compile it and then run it?

    Took me hours today to get it working but almost there wooooo!!
     
  2. MasternodeX

    MasternodeX New Member

    Joined:
    Jan 2, 2017
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    did this
    cd .dashdownload
    wget [insert current Linux download link]
    tar xfvz [dash-0.10.17.23-linux.tar.gz] <<< replace this with the current file
    dashd stop
    sudo rm /usr/bin/dashd
    sudo rm /usr/bin/dash-cli
    cd [darkcoin-0.10.17.23-linux/bin/64] <<< navigate to the correct DIR
    sudo cp dashd /usr/bin
    sudo cp dash-cli /usr/bin
    sudo chmod 775 /usr/bin/dashd
    sudo chmod 775 /usr/bin/dash-cli
    cd
    dashd start


    or something like it, and just used the pi2 from the dash.org site, unzipped it and re-wrote over the files dashd and dash-cli.